<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PagedWorld.html">PagedWorld</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::PagedWorld Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a72ebc44da81eac9c605bc012e89501ce">_loadProceduralPage</a>(Page *page, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a5040e60ba4d96ef63af185d314753684">_prepareProceduralPage</a>(Page *page, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a99eb57150cba10d1ead24ab1d8ac3a90">_readPageStream</a>(PageID pageID, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#af3377b5783c83545b2130056ffc50838">_unloadProceduralPage</a>(Page *page, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#aa25f1c7ea55a2a4e0059f32c5c3ca826">_unprepareProceduralPage</a>(Page *page, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a762a21ed405f3e6a88d6a630832f9e7b">_writePageStream</a>(PageID pageID, PagedWorldSection *section)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#aae8d55a56f80cd98c81e9be35abb1703">CHUNK_ID</a></td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a22c0313ee4f22c41c592aec526aedce6">CHUNK_SECTIONDECLARATION_ID</a></td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a5aed8fa0270feca86392300faff64764">CHUNK_VERSION</a></td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#ad99bc3529549f76b404a069f980b31e5">createSection</a>(SceneManager *sceneMgr, const String &amp;typeName, const String &amp;sectionName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a7afe844d66bc646eff8fa427f4d050b3">createSection</a>(const String &amp;strategyName, SceneManager *sceneMgr, const String &amp;sectionName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a43c4485026d34cabfafdbeb4ecec0754">createSection</a>(PageStrategy *strategy, SceneManager *sceneMgr, const String &amp;sectionName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a9e1c5509c70c0941f75e1233b7c219a1">destroyAllSections</a>()</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a01a47d516ddcd57334b25ba2d017c1e3">destroySection</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a4b445ba01d57f979566ba08df16e63c3">destroySection</a>(PagedWorldSection *sec)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#af4b8c11c069af1eae2b1f414d32481a5">frameEnd</a>(Real timeElapsed)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a4d5c5043aa8077c10a353075c62812c9">frameStart</a>(Real timeSinceLastFrame)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#ac364900cf95783eb8257970f29dadeab">getManager</a>() const </td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#aff63307ef984ebddd40b94e30059bc56">getName</a>() const </td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#aaa9b03f555be438f664a9eb09f5f1257">getPageProvider</a>() const </td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#abe02434b1f5d934dc4d799b2bc019d1e">getSection</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a79600734a2c14ad56acf1cc5274c484a">getSectionCount</a>() const </td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#aae6d278e5c387bd63447dd2dd33c0b62">getSections</a>() const </td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#af173a5d6ae87960e532a87e7e67fd888">load</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#ac0ef8449d591776b726577f2b4f84605">load</a>(const DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#acad473ad0512414571f6c509715065f1">load</a>(StreamSerialiser &amp;stream)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a5fbe897d19105f3fe03a42bd047914b0">mManager</a></td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#ae14fed02b7a26c0992e97b355f39ea73">mName</a></td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#aeb5d358fe39b8311415c71f957a7c08c">mPageProvider</a></td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#ab47f81c32e309e66eea51339fed51368">mSectionNameGenerator</a></td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a6adf46d34ac5ce7e00973307a9b61d17">mSections</a></td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#ace9492c0dd5be15818cc881d192ba6ca">notifyCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a1cd0eb84ff83fe1e320c54d9f8fdf4eb">operator&lt;&lt;</a>(std::ostream &amp;o, const PagedWorld &amp;p)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a86df6ac79d172998e074b8da3935ee6b">PagedWorld</a>(const String &amp;name, PageManager *manager)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a9932a5a510988ba09f5ed9aaf0c3e564">save</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#ae405454054ca875a563a1c890551f322">save</a>(const DataStreamPtr &amp;stream)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a0fa22b0759b2ce34f2277b304af216e0">save</a>(StreamSerialiser &amp;stream)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">SectionMap</a> typedef</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#ae0d7ac8ee73dd0fd7437564ed894b2ce">setPageProvider</a>(PageProvider *provider)</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PagedWorld.html#aa998277396620588752029c88710dbd7">~PagedWorld</a>()</td><td><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
